jc_dropdown:
  namespace: "Organisms/TM - Journey Check/JC Dropdown"
  use: "@organisms/tm-jc/jc-dropdown/journey-check-dropdown-items.html.twig"
  label: 'JC Dropdown List'
  description: 'JC Dropdown List'
  libraries:
    - jc_base:
        css:
          component:
            ../styles/jc-base.css: { weight: 9 }
    - jc_dropdown_lib:
        js:
          ../behaviors/jc-dropdown.js: { }
        css:
          component:
            ../styles/jc-dropdown.css: { weight: 10 }

  fields:
    element:
      type: object
      label : Data - Status
      preview:
        status: minor
        statusText: Problems reported
        footerText: ''
        hasIncidents: true
        items:
          - name: London Euston Lines (good)
            machineName: london_euston_1
            status: good
            statusText: Good service changes
            hasIncidents: false
            showDetails: false
          - name: London Euston Lines (good incidents)
            machineName: london_euston_2
            status: incidents
            statusText: Good with incidents
            hasIncidents: true
            showDetails: true
            children:
              - id: '508'
                name: Northampton via Milton Keynes (show link)
                machineName: west-coast
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '509'
                name: West Midlands via Northampton
                machineName: west-coast
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '510'
                name: Crewe via The Trent Valley
                machineName: trent-valley
                status: stationalert
                statusText: Station alert
                hasIncidents: true
                showDetails: true
          - name: Birmingham New Street Lines
            machineName: birmingham
            status: minor
            statusText: Minor service changes
            hasIncidents: true
            children:
              - id: '509'
                name: West Midlands via Northampton
                machineName: west-mids
                status: minor
                statusText: Minor service changes
                hasIncidents: true
                showDetails: true
              - id: '506'
                name: Liverpool via Crewe
                machineName: liverpool-line
                status: stationalert
                statusText: Station alert
                hasIncidents: true
                showDetails: true
          - id: '513'
            name: St Albans Abbey
            machineName: abbey-line
            status: major
            statusText: Major service changes
            hasIncidents: true
            showDetails: true
          - id: '514'
            name: Bedford - Bletchley
            machineName: marston-vale
            status: amended
            statusText: Amended service
            hasIncidents: true
            showDetails: true
          - id: '516'
            name: St Albans Abbey
            machineName: abbey-line
            status: stationalert
            statusText: stationalert service changes
            hasIncidents: true
            showDetails: true
          - id: '517'
            name: St Albans Abbey
            machineName: abbey-line
            status: noservice
            statusText: noservice service changes
            hasIncidents: true
            showDetails: true
          - id: '518'
            name: St Albans Abbey
            machineName: abbey-line
            status: strike
            statusText: strike service changes
            hasIncidents: true
            showDetails: true

jc_dropdown_wrapper:
  namespace: "Organisms/TM - Journey Check/JC Dropdown"
  use: "@organisms/tm-jc/jc-dropdown/journey-check-dropdown-wrapper.html.twig"
  label: 'JC Dropdown Wrapper'
  description: 'JC Dropdown Wrapper'
